// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import type {
    AbstimmungstypType,
    AnfrageEntityResponseDTO,
    DocumentType,
    DokumentenmappeDTO,
    FileEntityResponseDTO,
    RegelungsvorhabenEntityResponseShortDTO,
    TeilnehmerEntityResponseDTO,
    UserEntityResponseDTO,
} from './';

/**
 * @export
 * @interface MitzeichnungTableDTO
 */
export interface MitzeichnungTableDTO {
    /**
     * ID der Abstimmung
     * @type {string}
     * @memberof MitzeichnungTableDTO
     */
    id: string;
    /**
     * Erstelldatum der Abstimmung
     * @type {string}
     * @memberof MitzeichnungTableDTO
     */
    erstelltAm: string;
    /**
     * Letztes Bearbeitungsdatum der Abstimmung
     * @type {string}
     * @memberof MitzeichnungTableDTO
     */
    bearbeitetAm: string;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof MitzeichnungTableDTO
     */
    bearbeiterStellvertreter?: UserEntityResponseDTO;
    /**
     * Titel der Abstimmung
     * @type {string}
     * @memberof MitzeichnungTableDTO
     */
    titel?: string;
    /**
     * @type {FileEntityResponseDTO}
     * @memberof MitzeichnungTableDTO
     */
    regelungsentwurf?: FileEntityResponseDTO;
    /**
     * @type {DokumentenmappeDTO}
     * @memberof MitzeichnungTableDTO
     */
    dokumentenmappe?: DokumentenmappeDTO;
    /**
     * @type {string}
     * @memberof MitzeichnungTableDTO
     */
    fristablauf?: string;
    /**
     * @type {RegelungsvorhabenEntityResponseShortDTO}
     * @memberof MitzeichnungTableDTO
     */
    regelungsvorhaben?: RegelungsvorhabenEntityResponseShortDTO;
    /**
     * Version der Abstimmung
     * @type {number}
     * @memberof MitzeichnungTableDTO
     */
    version: number;
    /**
     * @type {string}
     * @memberof MitzeichnungTableDTO
     */
    abstimmungMetadataId: string;
    /**
     * @type {AbstimmungstypType}
     * @memberof MitzeichnungTableDTO
     */
    typ?: AbstimmungstypType;
    /**
     * @type {DocumentType}
     * @memberof MitzeichnungTableDTO
     */
    documentTyp: DocumentType;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof MitzeichnungTableDTO
     */
    ersteller: UserEntityResponseDTO;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof MitzeichnungTableDTO
     */
    erstellerStellvertreter?: UserEntityResponseDTO;
    /**
     * @type {string}
     * @memberof MitzeichnungTableDTO
     */
    einladungsMailText?: string;
    /**
     * @type {string}
     * @memberof MitzeichnungTableDTO
     */
    einladungsMailKommentar?: string;
    /**
     * @type {TeilnehmerEntityResponseDTO}
     * @memberof MitzeichnungTableDTO
     */
    antwort: TeilnehmerEntityResponseDTO;
    /**
     * @type {AnfrageEntityResponseDTO}
     * @memberof MitzeichnungTableDTO
     */
    anfrage?: AnfrageEntityResponseDTO;
    /**
     * Anfrage darf nur gestellt werden solange die Abstimmung noch nicht finalisiert wurde
     * @type {boolean}
     * @memberof MitzeichnungTableDTO
     */
    finalisiert?: boolean;
    /**
     * Wurde die Oberabstimmung fristgemäß beendet oder wurde der Teilnehmer in der Oberabstimmung entfernt?
     * @type {boolean}
     * @memberof MitzeichnungTableDTO
     */
    geschlossen?: boolean;
    /**
     * existiert eine laufende Unterabstimmung, bei der der aktuelle User der Einleiter ist?
     * @type {boolean}
     * @memberof MitzeichnungTableDTO
     */
    eingeleiteteUnterabstimmungenVorhanden: boolean;
}


